| NFFT 3.5.0

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
mri_inh_2d1d_plan Struct Reference
MRI - Transforms in magnetic resonance imaging
Collaboration diagram for mri_inh_2d1d_plan:
[legend]

## Data Fields
NFFT_INT | N_total
| Total number of Fourier coefficients. More...
NFFT_INT | M_total
| Total number of samples. More...
fftw_complex * | f_hat
| Fourier coefficients. More...
fftw_complex * | f
| Samples. More...
void(* | mv_trafo )(void *)
| Transform. More...
void(* | mv_adjoint )(void *)
| Adjoint transform. More...
nfft_plan | plan
int | N3
double | sigma3
double * | t
double * | w

## Detailed Description

The structure for the transform plan.

Definition at line 525 of file nfft3.h.

## Field Documentation

NFFT_INT mri_inh_2d1d_plan::N_total

Total number of Fourier coefficients.

Definition at line 525 of file nfft3.h.

Referenced by mri_inh_2d1d_init_guru(), and mri_inh_2d1d_trafo().

NFFT_INT mri_inh_2d1d_plan::M_total

Total number of samples.

Definition at line 525 of file nfft3.h.

Referenced by construct(), mri_inh_2d1d_init_guru(), and mri_inh_2d1d_trafo().

fftw_complex* mri_inh_2d1d_plan::f_hat

Fourier coefficients.

Definition at line 525 of file nfft3.h.

Referenced by construct(), mri_inh_2d1d_finalize(), mri_inh_2d1d_init_guru(), and mri_inh_2d1d_trafo().

fftw_complex* mri_inh_2d1d_plan::f

Samples.

Definition at line 525 of file nfft3.h.

Referenced by construct(), mri_inh_2d1d_finalize(), mri_inh_2d1d_init_guru(), and mri_inh_2d1d_trafo().

void(* mri_inh_2d1d_plan::mv_trafo) (void *)

Transform.

Definition at line 525 of file nfft3.h.

Referenced by mri_inh_2d1d_init_guru().

void(* mri_inh_2d1d_plan::mv_adjoint) (void *)

Adjoint transform.

Definition at line 525 of file nfft3.h.

Referenced by mri_inh_2d1d_init_guru().

The documentation for this struct was generated from the following file:

- nfft3.h